Subject: Re: linux-next: build failure after merge of the scsi tree

From: Jeff Garzik <[email-masked]>
Date: Fri, 23 Mar 2012 11:30:09 -0400

On 03/23/2012 06:26 AM, Alexey Dobriyan wrote:
> On Fri, Mar 23, 2012 at 7:50 AM, Benjamin Herrenschmidt
> <[email-masked]>  wrote:
>> On Fri, 2012-03-23 at 13:00 +1100, Stephen Rothwell wrote:
>>> Hi James,
>>>
>>> After merging the scsi tree, today's linux-next build (powerpc
>>> ppc64_defconfig) failed like this:
>>>
>>> drivers/ata/sata_svw.c: In function 'k2_sata_proc_open':
>>> drivers/ata/sata_svw.c:327:2: error: implicit declaration of function 'PDE' [-Werror=implicit-function-declaration]
>>> drivers/ata/sata_svw.c:327:56: error: invalid type argument of '->' (have 'int')
>>> drivers/ata/sata_svw.c:328:1: warning: control reaches end of non-void function [-Wreturn-type]
>>>
>>> Caused by commit 343ac4b031a7 ("[SCSI] sata_svw: convert to scsi proc_ops").
>>>
>>> I have used the scsi tree from next-20120322 for today.
>>
>> Additionally, I am the author and maintainer of that driver and I don't
>> remember ever being CCed on that patch ... or did I miss it ?
>
> Your email was not mentioned in changelogs for 6 years nor the driver
> has specific MAINTAINERS entry.

At the top of drivers/ata/sata_svw.c, we find:

  *  Maintained by: Benjamin Herrenschmidt <[email-masked]> and
  *                 Jeff Garzik <[email-masked]>
  *                  Please ALWAYS copy [email-masked]
  *                  on emails.

and in MAINTAINERS we also find

SERIAL ATA (SATA) SUBSYSTEM
M:      Jeff Garzik <[email-masked]>
L:      [email-masked]
T:      git 
git://git.kernel.org/pub/scm/linux/kernel/git/jgarzik/libata-dev.git
S:      Supported
F:      drivers/ata/

None of these addresses, nor LKML, were copied.  Please do so in the future.

	Jeff